/*
 * Copyright (C) 2013 Christopher Burke <krslynx@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package org.xproduct.server.core.model;

import org.vertx.java.core.http.ServerWebSocket;
import org.xproduct.server.core.model.score.Score;
import org.xproduct.server.core.model.social.SocialNetworkIdentifier;
import org.xproduct.server.core.model.team.Team;

/**
 *
 * @author Christopher Burke <krslynx@gmail.com>
 */
public class Player extends SocketConnection {
    
    private String handle;
    private SocialNetworkIdentifier socialIdentifier;
    private Score score;
    private Team team;
    private int ship;
    private boolean presentInArena;
    private boolean showTutorial = true;
    private boolean alive;
    private int bounty;

    public Player(ServerWebSocket socket) {
        super(socket);
        this.score = new Score();
    }

    public String getHandle() {
        if(this.handle == null) {
            this.handle = this.socialIdentifier.getName();
        }
        return this.handle;
    }

    public SocialNetworkIdentifier getSocialIdentifier() {
        return socialIdentifier;
    }

    public Score getScore() {
        return score;
    }

    public Team getTeam() {
        return team;
    }

    public int getShip() {
        return ship;
    }

    public boolean isPresentInArena() {
        return presentInArena;
    }

    public boolean isShowTutorial() {
        return showTutorial;
    }

    public void setHandle(String handle) {
        this.handle = handle;
    }

    public void setSocialIdentifier(SocialNetworkIdentifier socialIdentifier) {
        this.socialIdentifier = socialIdentifier;
    }
    
    public void setTeam(Team team) {
        this.team = team;
    }

    public void setShip(int ship) {
        this.ship = ship;
    }
    

    public void setPresentInArena(boolean presentInArena) {
        this.presentInArena = presentInArena;
    }

    public void setShowTutorial(boolean showTutorial) {
        this.showTutorial = showTutorial;
    }

    public boolean isAlive() {
        return this.alive;
    }

    public int getBounty() {
        return this.bounty;
    }
}
