/*
 * Copyright (C) 2013 Christopher Burke <krslynx@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package org.xproduct.server.core.net.packets;

/**
 *
 * @author Christopher Burke <krslynx@gmail.com>
 */
public enum C2SPacketType {

    LOGIN(1),
    START_GAME(2),
    POSITION(3),
    CLOCK_SYNC(4),
    PLAYER_DIED(5),
    CHAT_MESSAGE(6),
    SHIP_CHANGE(7),
    QUERY_NAME(8),
    REGISTER_NAME(9),
    PRIZE_COLLECTED(10),
    SET_PRESENCE(11);
    private int packetTypeIdentifier;

    C2SPacketType(int packetTypeIdentifier) {
        this.packetTypeIdentifier = packetTypeIdentifier;
    }

    public int getPacketTypeIdentifier() {
        return packetTypeIdentifier;
    }

    public static C2SPacketType valueOf(int packetTypeIdentifier) {
        switch (packetTypeIdentifier) {
            case 1:
                return LOGIN;
            case 2:
                return START_GAME;
            case 3:
                return POSITION;
            case 4:
                return CLOCK_SYNC;
            case 5:
                return PLAYER_DIED;
            case 6:
                return CHAT_MESSAGE;
            case 7:
                return SHIP_CHANGE;
            case 8:
                return QUERY_NAME;
            case 9:
                return REGISTER_NAME;
            case 10:
                return PRIZE_COLLECTED;
            case 11:
                return SET_PRESENCE;
            default:
                return LOGIN;
        }
    }
}
