/*
 * Copyright (C) 2013 Christopher Burke <krslynx@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package org.xproduct.server.core.net.packets;

/**
 *
 * @author Christopher Burke <krslynx@gmail.com>
 */
public enum S2CPacketType {

    LOGIN_REPLY(1),
    PLAYER_ENTERED(2),
    PLAYER_LEFT(3),
    PLAYER_POSITION(4),
    CLOCK_SYNC_REPLY(5),
    PLAYER_DIED(6),
    CHAT_MESSAGE(7),
    SHIP_CHANGE(8),
    SCORE_UPDATE(9),
    QUERY_NAME_REPLY(10),
    REGISTER_NAME_REPLY(11),
    PRIZE_SEED_UPDATE(12),
    PRIZE_COLLECTED(13),
    SET_PRESENCE(14);
    
    private int packetTypeIdentifier;

    S2CPacketType(int packetTypeIdentifier) {
        this.packetTypeIdentifier = packetTypeIdentifier;
    }

    public int getPacketTypeIdentifier() {
        return packetTypeIdentifier;
    }
}
