/*
 * Copyright (C) 2013 Christopher Burke <krslynx@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package org.xproduct.server.core.net.packets.core.c2s;

import static org.xproduct.server.core.helpers.Converters.getString;
import org.xproduct.server.core.net.packets.C2SPacketType;
import org.xproduct.server.core.net.packets.core.C2S;

/**
 *
 * @author Christopher Burke <krslynx@gmail.com>
 */
public class C2SChatMessage extends C2S {

    private String message;

    public C2SChatMessage(Object[] incomingObject) {
        this(getString(1, incomingObject));
    }

    public C2SChatMessage(String message) {
        this(C2SPacketType.CHAT_MESSAGE, message);
    }

    private C2SChatMessage(C2SPacketType packetType, String message) {
        super(packetType);
        this.message = message;
    }

    public String getMessage() {
        return message;
    }
}
