/*
 * Copyright (C) 2013 Christopher Burke <krslynx@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package org.xproduct.server.core.net.packets.core.c2s;

import java.math.BigDecimal;
import static org.xproduct.server.core.helpers.Converters.getBigDecimal;
import static org.xproduct.server.core.helpers.Converters.getLong;
import static org.xproduct.server.core.helpers.Converters.getString;
import org.xproduct.server.core.net.packets.C2SPacketType;
import org.xproduct.server.core.net.packets.core.C2S;

/**
 *
 * @author Christopher Burke <krslynx@gmail.com>
 */
public class C2SPlayerDied extends C2S {

    private long remoteTimeDelta;
    private BigDecimal posX;
    private BigDecimal posY;
    private String killerId;

    public C2SPlayerDied(Object[] incomingObject) {
        this(getLong(1, incomingObject), getBigDecimal(2, incomingObject), getBigDecimal(3, incomingObject), getString(4, incomingObject));
    }
    
    public C2SPlayerDied(long remoteTimeDelta, BigDecimal posX, BigDecimal posY, String killerId) {
        this(C2SPacketType.PLAYER_DIED, remoteTimeDelta, posX, posY, killerId);
    }

    private C2SPlayerDied(C2SPacketType packetType, long remoteTimeDelta, BigDecimal posX, BigDecimal posY, String killerId) {
        super(packetType);
        this.remoteTimeDelta = remoteTimeDelta;
        this.posX = posX;
        this.posY = posY;
        this.killerId = killerId;
    }

    public long getRemoteTimeDelta() {
        return remoteTimeDelta;
    }

    public BigDecimal getPosX() {
        return posX;
    }

    public BigDecimal getPosY() {
        return posY;
    }

    public String getKillerId() {
        return killerId;
    }
}
