/*
 * Copyright (C) 2013 Christopher Burke <krslynx@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package org.xproduct.server.core.net.packets.core.c2s;

import org.xproduct.server.core.helpers.Converters;
import org.xproduct.server.core.net.packets.C2SPacketType;
import org.xproduct.server.core.net.packets.core.C2S;

/**
 *
 * @author Christopher Burke <krslynx@gmail.com>
 */
public class C2SStartGame extends C2S {

    private int ship;
    
    public C2SStartGame(Object[] incomingObject) {
        this(Converters.getInteger(1, incomingObject));
    }

    public C2SStartGame(int ship) {
        this(C2SPacketType.SHIP_CHANGE, ship);
    }

    private C2SStartGame(C2SPacketType packetType, int ship) {
        super(packetType);
        this.ship = ship;
    }

    public int getShip() {
        return ship;
    }
}
