/*
 * Copyright (C) 2013 Christopher Burke <krslynx@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package org.xproduct.server.core.net.packets.core.s2c;

import com.google.gson.Gson;
import java.math.BigDecimal;
import org.xproduct.server.core.net.packets.S2CPacketType;
import org.xproduct.server.core.net.packets.core.S2C;

/**
 *
 * @author Christopher Burke <krslynx@gmail.com>
 */
public class S2CPlayerDied extends S2C {

    private long timestamp;
    private BigDecimal posX;
    private BigDecimal posY;
    private String killeeId;
    private String killerId;
    private int bountyGained;

    public S2CPlayerDied(long timestamp, BigDecimal posX, BigDecimal posY, String killeeId, String killerId, int bountyGained) {
        this(S2CPacketType.PLAYER_DIED, timestamp, posX, posY, killeeId, killerId, bountyGained);
    }

    private S2CPlayerDied(S2CPacketType packetType, long timestamp, BigDecimal posX, BigDecimal posY, String killeeId, String killerId, int bountyGained) {
        super(packetType);
        this.timestamp = timestamp;
        this.posX = posX;
        this.posY = posY;
        this.killeeId = killeeId;
        this.killerId = killerId;
        this.bountyGained = bountyGained;
    }

    @Override
    public String getPacket() {
        return new Gson().toJson(new Object[] {
            getPacketIdentifier(),
            timestamp,
            posX,
            posY,
            killeeId,
            killerId,
            bountyGained
        });
    }
}
