/*
 * Copyright (C) 2013 Christopher Burke <krslynx@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package org.xproduct.server.core.net.packets.core.s2c;

import com.google.gson.Gson;
import org.xproduct.server.core.net.packets.S2CPacketType;
import org.xproduct.server.core.net.packets.core.S2C;

/**
 *
 * @author Christopher Burke <krslynx@gmail.com>
 */
public class S2CPlayerEntered extends S2C {

    private String playerId;
    private String name;
    private int team;
    private boolean isAlive;
    private int ship;
    private int bounty;
    private boolean presence;

    public S2CPlayerEntered(String playerId, String name, int team, boolean isAlive, int ship, int bounty, boolean presence) {
        this(S2CPacketType.PLAYER_ENTERED, playerId, name, team, isAlive, ship, bounty, presence);
    }

    private S2CPlayerEntered(S2CPacketType packetType, String playerId, String name, int team, boolean isAlive, int ship, int bounty, boolean presence) {
        super(packetType);
        this.playerId = playerId;
        this.name = name;
        this.team = team;
        this.isAlive = isAlive;
        this.ship = ship;
        this.bounty = bounty;
        this.presence = presence;
    }

    @Override
    public String getPacket() {
        return new Gson().toJson(new Object[] {
            getPacketIdentifier(),
            playerId,
            name,
            team,
            isAlive,
            ship,
            bounty,
            presence
        });
    }
}
