/*
 * Copyright (C) 2013 Christopher Burke <krslynx@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package org.xproduct.server.core.net.packets.core.s2c;

import com.google.gson.Gson;
import org.xproduct.server.core.net.packets.S2CPacketType;
import org.xproduct.server.core.net.packets.core.S2C;

/**
 *
 * @author Christopher Burke <krslynx@gmail.com>
 */
public class S2CScoreUpdate extends S2C {

    private String playerId;
    private long totalPoints;
    private int kills;
    private int deaths;

    public S2CScoreUpdate(String playerId, long totalPoints, int kills, int deaths) {
        this(S2CPacketType.SCORE_UPDATE, playerId, totalPoints, kills, deaths);
    }

    private S2CScoreUpdate(S2CPacketType packetType, String playerId, long totalPoints, int kills, int deaths) {
        super(packetType);
        this.playerId = playerId;
        this.totalPoints = totalPoints;
        this.kills = kills;
        this.deaths = deaths;
    }

    @Override
    public String getPacket() {
        return new Gson().toJson(new Object[] {
            getPacketIdentifier(),
            playerId,
            totalPoints,
            kills,
            deaths
        });
    }
}
