/*
 * Copyright (C) 2013 Christopher Burke <krslynx@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package org.xproduct.server.vertx;

/**
 *
 * @author Christopher Burke <krslynx@gmail.com>
 */
public class Resources {
    
    /**
     * The path for WebSockets
     */
    public String websocketPath;
    
    /**
     * The relative path to the HTTP (game client) directory
     */
    public String httpFilePath;
    
    /**
     * The relative path from the httpFilePath to the resources.json file
     */
    public String resourcesPath;
    
    /**
     * The relative path from the httpFilePath to the settings.json file
     */
    public String settingsPath;
    
    /**
     * The relative path from the httpFilePath to the map.json file
     */
    public String mapPath;
    
    /**
     * The relative path from the httpFilePath to the tile_properties.json file
     */
    public String mapPopertiesPath;
    
    /**
     * The port the server should run on
     */
    public int serverPort = 8000;
    
    /**
     * The host the server should run on
     */
    public String serverHost;
    
    /**
     * If the server is in development mode or not
     */
    public boolean development;
}
