#!/bin/bash
#
# Downloads third party resources needed for the dotproduct server
#
# Christopher Burke <krslynx@gmail.com>
#

# These should not need to change
client_git="git@github.com:sharvil/dotproduct.git"
closure_lib_git="https://code.google.com/p/closure-library/"
closure_compiler_url="http://closure-compiler.googlecode.com/files/compiler-latest.zip"

# These might need to change, run which git fx to ensure the path to git
# on your system matches the one below, same for wget (which will probably be diff if on linux)
git_binary=/usr/bin/git
wget_binary=/usr/local/bin/wget

# These should not change
git_command="clone"
client_dir="dotproduct-client"
closure_lib_dir="closure-library"

echo "Checking out the client"
$git_binary $git_command $client_git $client_dir

echo "Checking out the closure library"
$git_binary $git_command $closure_lib_git $closure_lib_dir

echo "Moving the closure library into the client directory"
mv $closure_lib_dir"/closure" $client_dir

echo "Removing the closure files not needed"
rm -rf $closure_lib_dir

echo "Downloading the closure compiler"
$wget_binary $closure_compiler_url

echo "Decompressing the compiler files."
unzip "compiler-latest.zip" "compiler.jar"

echo "Removing compiler zip directory."
rm -rf "compiler-latest.zip"

echo "Script completed."